Bug 178600 - missing support of images > 2 GB
missing support of images > 2 GB
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: cdrdao (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
: 178549 178550 178551 178552 178553 178556 178559 178584 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-22 03:44 EST by Peter Bieringer
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-10 14:07:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2006-01-22 03:44:32 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Looks like cdrdao doesn't support image files > 2 GB. This prevents simple copy of a data DVD via cdrdao.

Version-Release number of selected component (if applicable):
cdrdao-1.1.9-9 cdrdao-1.2.0-1.2

How reproducible:
Always

Steps to Reproduce:
1. insert data DVD
2. cdrdao read-cd -v 2 --eject --driver generic-mmc --device /dev/hdd --datafile data.bin data.toc

  

Actual Results:  Copying data track 1 (MODE1): start 00:00:00, length 266:02:18 to "data.bin"...

Error:
4710 Die maximale Dateigr��e ist �berschritten
(German), translation: the maximum file size is reached.

Expected Results:  Not such limit.

Additional info:

I tried rebuilded 1.2.0 from testing, same result. Any hint how to copy a data DVD via command line tools?
Comment 1 Harald Hoyer 2006-01-23 05:43:37 EST
$ cat /dev/cdrom > isoimage.iso
$ readcd dev=/dev/cdrom f=isoimage.iso
Comment 2 Peter Bieringer 2006-02-12 16:32:24 EST
*** Bug 178550 has been marked as a duplicate of this bug. ***
Comment 3 Peter Bieringer 2006-02-12 16:33:42 EST
*** Bug 178551 has been marked as a duplicate of this bug. ***
Comment 4 Peter Bieringer 2006-02-12 16:34:12 EST
*** Bug 178552 has been marked as a duplicate of this bug. ***
Comment 5 Peter Bieringer 2006-02-12 16:34:29 EST
*** Bug 178553 has been marked as a duplicate of this bug. ***
Comment 6 Peter Bieringer 2006-02-12 16:34:36 EST
*** Bug 178556 has been marked as a duplicate of this bug. ***
Comment 7 Peter Bieringer 2006-02-12 16:34:47 EST
*** Bug 178559 has been marked as a duplicate of this bug. ***
Comment 8 Peter Bieringer 2006-02-12 16:34:55 EST
*** Bug 178584 has been marked as a duplicate of this bug. ***
Comment 9 Peter Bieringer 2006-02-12 16:36:17 EST
*** Bug 178549 has been marked as a duplicate of this bug. ***
Comment 10 John Thacker 2007-03-10 14:07:30 EST
Closing because bug has remained in NEEDINFO state without reply for a long
period of time.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.  

It's a limitation of mkisofs, which cdrdao uses.  (Think it's still there.) 
Harald gave a workaround from the command line.  There are other tools as well
that will rip data DVDs.

Note You need to log in before you can comment on or make changes to this bug.